# eBOSC: extended Better OSCillation Detection method and simulation scripts

This releases accompanies the manuscript "Single-trial characterization of neural rhythms: potentials and challenges" (see below for full reference).

--------- License information -----------

extended BOSC (eBOSC) is an extension of the BOSC library and therefore employs scripts that are based on the original toolbox. These functions are included in the 'external' folder of the current package.

The eBOSC library (and the original BOSC library) are free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

The eBOSC library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more details.

--------- Citations -----------

If you find the method useful, please cite the following papers:

Kosciessa, J. Q., Grandy, T. H., Garrett, D. D., Werkle-Bergner, M. (submitted). Single-trial characterization of neural rhythms: potentials and challenges. bioRxiv 356089; doi: https://doi.org/10.1101/356089

Whitten, T. A., Hughes, A. M., Dickson, C. T., & Caplan, J. B. (2011). A better oscillation detection method robustly extracts EEG rhythms across brain state changes: The human alpha rhythm as a test case. NeuroImage, 54(2), 860–874. http://doi.org/10.1016/j.neuroimage.2010.08.064

--------- Simulation files -----------

The scripts producing the simulation files as well as the relevant supplementary plots in the paper can be found in the subdirectory 'simulations'. Note that only the scripts are provided and the paths still need to be adjusted. This is currently still work-in-progress.
